package com.chushang.system.service;

import com.chushang.security.entity.po.DataScopeEntity;
import com.chushang.security.entity.po.SysUser;

import java.util.List;
import java.util.Set;

/**
 * @author by zhaowenyuan create 2022/8/19 09:43
 */
public interface ISysPermissionService {
    Set<String> getRolePermission(SysUser sysUser);

    Set<String> getMenuPermission(SysUser sysUser);

    List<DataScopeEntity> getDataScopes(SysUser sysUser);
}
